using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Siger.Middlelayer.Common.FieldEnum;
using Siger.Middlelayer.Common.ModuleEnum;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.IMSRepository.Entities
{

    [Table("siger_project_ims_detection_record")]
    public class ProjectIMSDetectionRecordEntity : EntityBase
    {
        public ProjectIMSDetectionRecordEntity()
        {
            Status = 1;

        }

        /// <summary>
        /// 
        /// </summary>
        [Key]
        [Column("id")]
        public int Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("projectid")]
        public int Projectid { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("status")]
        public int Status { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("creator")]
        public int Creator { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("editor")]
        public int Editor { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 刀具编号
        /// </summary>
        [Column("tool_id")]
        public int ToolId { get; set; }
        /// <summary>
        /// 刀具编号
        /// </summary>
        [Column("stock_id")]
        public int StockId { get; set; }
        /// <summary>
		/// 配置类型1刀具2刀柄3附件
		/// </summary>
		[Column("tool_type")]
        public ImsSettingCategory ToolType { get; set; }
        /// <summary>
        /// 状态1待检测2检测完成3待测试4测试完成
        /// 1和2检测
        /// 3和4测试
        /// </summary>
        [Column("state")]
        public TlmDetectionState State { get; set; }
        /// <summary>
        /// 检测单号
        /// </summary>
        [Column("order_number")]
        public string OrderNumber { get; set; }
        /// <summary>
		/// 结果1合格0不合格
		/// </summary>
		[Column("result")]
        public int result { get; set; }
        /// <summary>
		/// 检测人
		/// </summary>
		[Column("inspector")]
        public int inspector { get; set; }
        /// <summary>
		/// 检测时间
		/// </summary>
		[Column("inspect_time")]
        public long inspect_time { get; set; }
        /// <summary>
        /// wms_stock序号
        /// </summary>
        [Column("serial_number")]
        public string serial_number { get; set; }
        /// <summary>
        /// 物料管理模式
        /// </summary>
        [Column("manage_model")]
        public managemodel manage_model { get; set; }
    }

}
